Skip to navigation

Put Forms Id

View as Markdown

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Path parameters

idstringRequired

Request

This endpoint expects an object.
titlestringOptional
notestringOptional
in_progress_user_idstringOptional
completed_atintegerOptional

Response

updated Form
idstringOptional
ULID
titlestringOptional
instruction_revision_idstringOptional
ULID
contributor_idslist of stringsOptional
approvedbooleanOptional
started_atlongOptional

Unix timestamp (seconds since epoch)

completed_atlongOptional

Unix timestamp (seconds since epoch)

work_order_task_idstringOptional
ULID
taken_over_from_form_idstringOptional
ULID
in_progress_user_idstringOptional
ULID
notestringOptional
co_author_idslist of stringsOptional

Deprecated, use contributor_ids

user_idstringOptional
ULID
in_progress_userobjectOptional
work_order_taskobjectOptional
stepslist of objectsOptional
flagged_stepslist of objectsOptional
userobjectOptional
contributorslist of objectsOptional
connected_userslist of objectsOptional
co_authorslist of objectsOptional
Deprecated, use contributors
created_atlongOptional

Unix timestamp (seconds since epoch)

updated_atlongOptional

Unix timestamp (seconds since epoch)

editablebooleanOptional
Whether the requesting user can update the form